CREATE TABLE iby_instr_creation_rules] (
    SYSTEM_PROFILE_CODE               VARCHAR2(400)     NOT NULL,
    ORG_ID_FLAG                       VARCHAR2(4)   ,
    CREATED_BY                        VARCHAR2(256)     NOT NULL,
    CREATION_DATE                     TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY                   VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE                  TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN                 VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER             NUMBER(9, 0)      NOT NULL,
    GROUP_BY_PAYMENT_DATE             VARCHAR2(4)       NOT NULL,
    GROUP_BY_PAYMENT_CURRENCY         VARCHAR2(4)       NOT NULL,
    GROUP_BY_INTERNAL_BANK_ACCOUNT    VARCHAR2(4)       NOT NULL,
    GROUP_BY_MAX_PAYMENTS_FLAG        VARCHAR2(4)       NOT NULL,
    GROUP_BY_PAY_SERVICE_REQUEST      VARCHAR2(4)       NOT NULL,
    GROUP_BY_LEGAL_ENTITY             VARCHAR2(4)       NOT NULL,
    GROUP_BY_BILL_PAYABLE             VARCHAR2(4)       NOT NULL,
    GROUP_BY_ORGANIZATION             VARCHAR2(4)       NOT NULL,
    GROUP_BY_MAX_INSTRUCTION_FLAG     VARCHAR2(4)       NOT NULL,
    GROUP_BY_PAYMENT_FUNCTION         VARCHAR2(4)       NOT NULL,
    GROUP_BY_PAYMENT_REASON           VARCHAR2(4)       NOT NULL,
    GROUP_BY_RFC                      VARCHAR2(4)       NOT NULL,
    MAX_PAYMENTS_PER_INSTRUCTION      NUMBER(18, 0) ,
    MAX_AMOUNT_PER_INSTR_VALUE        NUMBER        ,
    MAX_AMOUNT_PER_INSTR_CURR_CODE    VARCHAR2(40)  ,
    MAX_AMOUNT_FX_RATE_TYPE           VARCHAR2(120) ,
    SORT_OPTION_1                     VARCHAR2(120) ,
    SORT_ORDER_1                      VARCHAR2(120) ,
    SORT_OPTION_2                     VARCHAR2(120) ,
    SORT_ORDER_2                      VARCHAR2(120) ,
    SORT_OPTION_3                     VARCHAR2(120) ,
    SORT_ORDER_3                      VARCHAR2(120) ,
    GROUP_BY_PAYMENT_METHOD           VARCHAR2(4)       NOT NULL,
    SEED_DATA_SOURCE                  VARCHAR2(2048),
    ORA_SEED_SET1                     VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2                     VARCHAR2(4)       NOT NULL
);
